Loading...
Searching...
No Matches
printable_with Interface Reference
Core » Debug Stream

The concept for a printable object. More...

`#include <seqan3/core/debug_stream/default_printer.hpp>`

## Detailed Description

The concept for a printable object.

A printable object is a printer that can print an argument to a stream. The printer must be invocable with a stream and an argument.

Template Parameters

  printer_t | The type of the printer.
  stream_t | The type of the stream.
  arg_t | The type of the argument.

The documentation for this interface was generated from the following file:

- default_printer.hpp

Hide me